Skip to main content
`Ctrl`+`K`

# EPSMonitorFn

A function prototype for functions provided to `EPSMonitorSet()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode EPSMonitorFn(EPS eps,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,void *ctx);

## Calling Sequence

- eps - the linear eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - relative error estimates for each eigenpair

- nest - number of error estimates

- ctx - optional monitoring context, as provided with `EPSMonitorSet()`

## See Also

EPS: Eigenvalue Problem Solver, `EPSMonitorSet()`

## Level

intermediate

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages